For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sales Channel Townships

Retrieve Sales Channel Township

get

Retrieve a specific Sales Channel Township by ID

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Sales Channel Township retrieved successfully

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
cityinteger · int64Required

Related City ID

postcodestring · stringOptional

Postcode

Example: 34000
get/api/v1/channel/{channel_id}/townships/{id}/
GET /api/v1/channel/{channel_id}/townships/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "city": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "postcode": "34000",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Update Sales Channel Township

put

Update a specific Sales Channel Township by ID

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
cityinteger · int64Required

Related City ID

postcodestring · stringOptional

Postcode

Example: 34000
Responses
200

Sales Channel Township updated

No content

put/api/v1/channel/{channel_id}/townships/{id}/
PUT /api/v1/channel/{channel_id}/townships/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "city": 1,
  "postcode": "34000",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

No content

Delete Sales Channel Township

delete

Delete a specific Sales Channel Township by ID

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
204

Sales Channel Township deleted successfully

No content

delete/api/v1/channel/{channel_id}/townships/{id}/
DELETE /api/v1/channel/{channel_id}/townships/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Partial Update Sales Channel Township

patch

Partial update a specific Sales Channel Township by ID

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
cityinteger · int64Required

Related City ID

postcodestring · stringOptional

Postcode

Example: 34000
Responses
200

Sales Channel Township updated

No content

patch/api/v1/channel/{channel_id}/townships/{id}/
PATCH /api/v1/channel/{channel_id}/townships/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "city": 1,
  "postcode": "34000",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

No content

Retrieve Sales Channel Township with details

get

Retrieve a specific Sales Channel Township by ID with details

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Sales Channel Township retrieved successfully with details

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
postcodestring · stringOptional

Postcode

Example: 34000
get/api/v1/channel/{channel_id}/townships/{id}/detailed/
GET /api/v1/channel/{channel_id}/townships/{id}/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "city": 1,
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "postcode": "34000",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List Sales Channel Townships

get

List Sales Channel Townships

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
name__exactstringOptional

Filters by exact name

name__iexactstringOptional

Filters case insensitive by exact name

mapping__integration_typestring · enumOptional

Filter by integration mapping object's integration type

Possible values:
mapping__code__exactstringOptional

Filter by integration mapping object's code

hyperbooleanOptional

Activate id to hyperlink the response data.

priorityintegerOptional

Filter by priority

Example: 1
city_idinteger · min: 1Optional

Filter by City ID

postcodestringOptional

Filter by Postcode

pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

Responses
200

OK

application/json
countintegerOptionalExample: 0
nextstring · nullableOptional

Next page URL

previousstring · nullableOptional

Previous page URL

get/api/v1/channel/{channel_id}/townships/
GET /api/v1/channel/{channel_id}/townships/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 0,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Create Sales Channel Township

post

Create Sales Channel Township

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
cityinteger · int64Required

Related City ID

postcodestring · stringOptional

Postcode

Example: 34000
Responses
201

Township Created

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the township

namestring · stringRequired

Township Name

Example: Esenler
is_activebooleanOptional

Is it active? (True/False)

Example: true
cityinteger · int64Required

Related City ID

postcodestring · stringOptional

Postcode

Example: 34000
post/api/v1/channel/{channel_id}/townships/
POST /api/v1/channel/{channel_id}/townships/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 113

{
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "city": 1,
  "postcode": "34000",
  "modified_date": "2026-01-01T00:00:00.000Z"
}
{
  "pk": 1,
  "name": "Esenler",
  "is_active": true,
  "city": 1,
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "postcode": "34000",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List Sales Channel Townships with details

get

List Sales Channel Townships with details

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
name__exactstringOptional

Filters by exact name

name__iexactstringOptional

Filters case insensitive by exact name

mapping__integration_typestring · enumOptional

Filter by integration mapping object's integration type

Possible values:
mapping__code__exactstringOptional

Filter by integration mapping object's code

hyperbooleanOptional

Activate id to hyperlink the response data.

priorityintegerOptional

Filter by priority

Example: 1
city_idinteger · min: 1Optional

Filter by City ID

postcodestringOptional

Filter by Postcode

pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

Responses
200

OK

application/json
countintegerOptionalExample: 0
nextstring · nullableOptional

Next page URL

previousstring · nullableOptional

Previous page URL

get/api/v1/channel/{channel_id}/townships/detailed/
GET /api/v1/channel/{channel_id}/townships/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 0,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "pk": 1,
      "name": "Esenler",
      "is_active": true,
      "city": 1,
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "postcode": "34000",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?